GET /api/chains/gas/{chain}
Gas price for chain
Current gas prices for Ethereum
Endpoint​
GET https://api.web3identity.com/api/chains/gas/{chain}
Parameters​
| Name | In | Type | Required | Description |
|---|---|---|---|---|
chain | path | string | âś… | Blockchain network (ethereum, base, polygon, etc) |
Example Request​
curl -s "https://api.web3identity.com/api/chains/gas/:chain" | jq
Responses​
200 Gas price​
{
"chain": "ethereum",
"fast": {
"gasPrice": 45,
"maxFee": 50,
"maxPriorityFee": 2,
"estimatedTime": 30
},
"standard": {
"gasPrice": 38,
"maxFee": 42,
"maxPriorityFee": 1.5,
"estimatedTime": 60
},
"slow": {
"gasPrice": 32,
"maxFee": 35,
"maxPriorityFee": 1,
"estimatedTime": 180
},
"baseFee": 30,
"timestamp": "2026-02-08T14:30:00.000Z"
}
400 Bad request - invalid parameters​
{
"example": "response"
}
402 Payment required - free tier exhausted​
{
"example": "response"
}
404 Resource not found​
{
"example": "response"
}
429 Rate Limited​
{
"example": "response"
}
500 Internal Server Error - Something went wrong on our end​
{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}
Auto-generated from OpenAPI spec